Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request POST 'https://api.mayar.id/credit/v1/credit/customer/spend' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data '{
    "customerId": "9de4b4b4-525c-4ee0-ac9c-b29c3e10fe55",
    "productId": "40f26fbe-f4d8-4693-975f-e6d105d291e6",
    "amount": 10
}'
{
    "statusCode": 200,
    "message": "Successfully spent 10. MAIN: 10, ADD_ON: 0"
}
Endpoint:
https://api.mayar.id/credit/v1/credit/customer/spend

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

customerId
string
The unique identifier of the member whose credit will be spent.
productId
string
required
The unique identifier of the product associated with the credit.
amount
integer
required
The amount of credit to deduct (positive integer).

Response

Successful Response
statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.